#include "config.h"
#include "version.h"

#include <sys/ioctl.h>
#include <netinet/in.h>
#include <net/if.h>
#include <net/if_arp.h>
#include <stdio.h>

#include "interface.h"
#include "sockets.h"
#include "util.h"

int
print_name (struct interface *iface, void *cookie)
{
  printf("%s\n",iface->name);
  return 0;
}

int
main (int argc, char **argv)
{
  if ((skfd = sockets_open (0)) < 0)
    {
      perror ("socket");
      return 1;
    }
  for_all_interfaces ((int (*)(struct interface *,void *))print_name, NULL);
  return 0;
}
